summaryrefslogtreecommitdiff
path: root/package/mini_httpd/files/mini_httpd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/mini_httpd/files/mini_httpd.init')
-rw-r--r--package/mini_httpd/files/mini_httpd.init25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/mini_httpd/files/mini_httpd.init b/package/mini_httpd/files/mini_httpd.init
new file mode 100644
index 000000000..10479a22d
--- /dev/null
+++ b/package/mini_httpd/files/mini_httpd.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ [[ $mini_httpd_flags = NO ]] && exit 0
+ exec sh $0 start
+ ;;
+start)
+ mini_httpd $mini_httpd_flags
+ ;;
+stop)
+ killall mini_httpd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?